package com.hzya.frame.sys.thirdparty.api.certification.dao;

import com.hzya.frame.sys.thirdparty.api.certification.entity.SysThirdpartyapiCertification;
import java.util.List;

/**
 * @description: 第三方应用接口认证信息表  dao
 * @tableName: sys_thirdparty_api_certification
 * @entityName: SysThirdpartyapiCertification
 * @author: gjh
 * @history: 1.0
 */
public interface ISysThirdpartyapiCertificationMapper {

        //通过ID获取数据    entity_get
        SysThirdpartyapiCertification entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<SysThirdpartyapiCertification> entity_list_base(SysThirdpartyapiCertification entity);

        //  查询符合条件的数量
        Integer entity_count(SysThirdpartyapiCertification entity);

        //分页查询列表 采用like格式 entity_list_like
        List<SysThirdpartyapiCertification> entity_list_like(SysThirdpartyapiCertification entity);

        //查询列表 字段采用or格式   entity_list_or
        List<SysThirdpartyapiCertification> entity_list_or(SysThirdpartyapiCertification entity);

        //新增  entity_insert
        SysThirdpartyapiCertification entity_insert(SysThirdpartyapiCertification entity);

        //修改  entity_update
        Integer entity_update(SysThirdpartyapiCertification entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(SysThirdpartyapiCertification entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(SysThirdpartyapiCertification entity);

        //物理删除
        Integer entity_delete(SysThirdpartyapiCertification entity);


        Integer delect_by_ThirdpartyApiId(List<String> interviceids);
}
